SimpleView
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.views
Class SimpleView<E extends GCubeElement,P extends Property>

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.views.BaseCollectionView<E,P>
          org.gcube.contentmanagement.gcubedocumentlibrary.views.SimpleView<E,P>

Type Parameters:
  `E` - the type of `GCubeElement`s characterised by the view.
  `P` - the type of the properties of the `GCubeElement`s characterised by the view.

All Implemented Interfaces:
  CollectionView<E,P>

Direct Known Subclasses:
  AnnotationView, MetadataView

    public abstract class SimpleView<E extends GCubeElement,P extends Property>

extends BaseCollectionView<E,P>

A `CollectionView` defined by a projection over specific inner `GCubeElement`s of document descriptions.

A collection view is a light-weight model of a virtual collection of the constrained elements, in that it contains only document descriptions with inner elements that have similar properties. The model is light-weight because access to the collection occurs still at the grain of document descriptions, in line with the interface of all `Reader`s. The model is efficient, however, as the document descriptions retrieved through the view include only the `GCubeElement`s characterised by the view.

The element characterisations allowed by a collection view is fixed to:

- the language of the element's bytestreams;
- the name of the bytestream's schema;
- the URI of the bytestream schema;

.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`SimpleView()`
`SimpleView(GCUBEScope s)`

Method Summary
`java.lang.Boolean` | `isEditable()`
`java.lang.Boolean` | `isIndexable()`
`java.lang.Boolean` | `isUserCollection()`
`java.lang.String` | `language()`
`java.lang.String` | `schemaName()`
`java.net.URI` | `schemaURI()`
`void` | `setEditable(boolean editable)`
`void` | `setIndexable(boolean indexable)`
`void` | `setLanguage(java.util.Locale language)`
`void` | `setProjection(java.util.Locale language, java.lang.String schemaName, java.net.URI schemaURI)`
`void` | `setSchemaName(java.lang.String schemaName)`
`void` | `setSchemaURI(java.net.URI schemaURI)`
`void` | `setUserCollection(boolean userCollection)`

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.views.BaseCollectionView
`addProperty, addProperty, cardinality, collectionId, delete, description, id, inner, isBound, lastUpdate, name, properties, publish, publishAndBroadcast, reader, scope, securityManager, setCollectionId, setDescription, setId, setName, toString, type`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.gcube.contentmanagement.gcubedocumentlibrary.views.CollectionView
`findSimilar, projection`

Constructor Detail

### SimpleView

    public SimpleView()

See Also:
  `BaseCollectionView.BaseCollectionView()`

### SimpleView

    public SimpleView(GCUBEScope s)

See Also:
  `BaseCollectionView.BaseCollectionView(GCUBEScope)`

Method Detail

### setProjection

    public void setProjection(java.util.Locale language,
                              java.lang.String schemaName,
                              java.net.URI schemaURI)

### setLanguage

    public void setLanguage(java.util.Locale language)

### setSchemaName

    public void setSchemaName(java.lang.String schemaName)

### setSchemaURI

    public void setSchemaURI(java.net.URI schemaURI)

### language

    public java.lang.String language()

### schemaName

    public java.lang.String schemaName()

### schemaURI

    public java.net.URI schemaURI()

### isUserCollection

    public java.lang.Boolean isUserCollection()

### setUserCollection

    public void setUserCollection(boolean userCollection)

### isIndexable

    public java.lang.Boolean isIndexable()

### setIndexable

    public void setIndexable(boolean indexable)

### isEditable

    public java.lang.Boolean isEditable()

### setEditable

    public void setEditable(boolean editable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD